gi-gobject-2.0.31: GObject bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GObject.Objects.ParamSpecVariant

Contents

- Exported types
- Methods

Description

A `ParamSpec` derived structure that contains the meta data for `GVariant` properties.

When comparing values with `paramValuesCmp`, scalar values with the same type will be compared with `variantCompare`. Other non-`Nothing` variants will be checked for equality with `variantEqual`, and their sort order is otherwise undefined. `Nothing` is ordered before non-`Nothing` variants. Two `Nothing` values compare equal.

Since: 2.26

Synopsis

- newtype ParamSpecVariant = ParamSpecVariant (ManagedPtr ParamSpecVariant)
- class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecVariant o) => IsParamSpecVariant o
- toParamSpecVariant :: (MonadIO m, IsParamSpecVariant o) => o -> m ParamSpecVariant

# Exported types

newtype ParamSpecVariant Source #

Memory-managed wrapper type.

Constructors

ParamSpecVariant (ManagedPtr ParamSpecVariant) |

#### Instances

Instances details

Eq ParamSpecVariant Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecVariant Methods (==) :: ParamSpecVariant -> ParamSpecVariant -> Bool Source # (/=) :: ParamSpecVariant -> ParamSpecVariant -> Bool Source #
BoxedPtr ParamSpecVariant Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecVariant Methods boxedPtrCopy :: ParamSpecVariant -> IO ParamSpecVariant Source # boxedPtrFree :: ParamSpecVariant -> IO () Source #
ManagedPtrNewtype ParamSpecVariant Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecVariant Methods toManagedPtr :: ParamSpecVariant -> ManagedPtr ParamSpecVariant Source #
TypedObject ParamSpecVariant Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecVariant Methods glibType :: IO GType Source #
HasParentTypes ParamSpecVariant Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecVariant
type ParentTypes ParamSpecVariant Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecVariant type ParentTypes ParamSpecVariant = '[ParamSpec]

class (BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecVariant o) => IsParamSpecVariant o Source #

Type class for types which can be safely cast to `ParamSpecVariant`, for instance with `toParamSpecVariant`.

#### Instances

Instances details

(BoxedPtr o, TypedObject o, IsDescendantOf ParamSpecVariant o) => IsParamSpecVariant o Source # |
Instance details Defined in GI.GObject.Objects.ParamSpecVariant

toParamSpecVariant :: (MonadIO m, IsParamSpecVariant o) => o -> m ParamSpecVariant Source #

Cast to `ParamSpecVariant`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

sink, stealQdata.

#### Getters

getBlurb, getDefaultValue, getName, getNameQuark, getNick, getQdata, getRedirectTarget.

#### Setters

setQdata.